Retrieve Operators for a LAT
curl --request GET \
--url https://api.area.club/lat/{address}/operatorsimport requests
url = "https://api.area.club/lat/{address}/operators"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.area.club/lat/{address}/operators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"operator": "0xdbed88d83176316fc46797b43adee927dc2ff2f5",
"allocations": [
{
"asset": "0x3f1c547b21f65e10480de3ad8e19faac46c95034",
"strategy": "0x7D704507b76571a51d9caE8AdDAbBFd0ba0e63d3",
"stakedAmount": "833048866576347130",
"eigenLayerShares": "990438677294402488"
}
],
"tvl": {
"tvl": 1.6474940553244894,
"tvlStrategies": {
"stETH": 0.8326977176481988,
"sfrxETH": 0.7320249283999721
},
"tvlStrategiesEth": {
"stETH": 0.8318301518857287,
"sfrxETH": 0.8156639034387608
}
}
}
]
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}LAT Data API
Retrieve Operators for a LAT
Returns all Operators delegated to by a specific LAT, including their allocations and optional TVL information.
GET
/
lat
/
{address}
/
operators
Retrieve Operators for a LAT
Path Parameters
LAT contract address (proxy)
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x94a2a0548681fda8d5e2ad5a8eeecd891e02a613"
Query Parameters
Toggle whether the route should calculate the TVL from shares
Available options:
true, false Example:
"false"
Response
List of Operators delegated to by the LAT
Array of Operators with their allocations
Show child attributes
Show child attributes
⌘I